package com.onsiteservice.miniapp.controller.worker;

import com.onsiteservice.entity.service.ServiceWorker;
import com.onsiteservice.miniapp.service.worker.ServiceWorkerService;

import com.onsiteservice.core.result.Result;
import com.onsiteservice.dao.common.page.PageInfoVO;
import com.onsiteservice.dao.common.page.PageParams;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.NonNull;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.validation.constraints.Positive;

import static com.onsiteservice.core.result.ResultGenerator.success;
import static com.onsiteservice.core.result.ResultGenerator.fail;

/**
 * <P>维修工模块</P>
 *
 * @author 李宁
 * @version v1.0
 * @since 2022/7/11 08:51
 */
@Api(tags = "维修工模块")
@RestController
@RequestMapping("/worker/")
@Validated
public class ServiceWorkerController {

    @Resource
    private ServiceWorkerService serviceWorkerService;


    @ApiOperation(value = "分页查询列表")
    @PostMapping("page")
    public Result<PageInfoVO> getPage(@RequestBody @NonNull @Validated PageParams param) {
        return success(serviceWorkerService.getPage(param), "获取分页列表");
    }

    @ApiOperation(value = "根据id查询")
    @GetMapping("get/{id}")
    public Result<ServiceWorker> getDetails(@PathVariable @Positive Long id) {
        return success(serviceWorkerService.selectByPrimaryKey(id), "根据id获取详情");
    }


}
